Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/applicant.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/applicant.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/applicant.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: applicant.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/batching.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/batching.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/batching.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: batching.py 14818 2017-08-23 16:35:14Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/browser.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/browser.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/browser.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: browser.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/export.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/export.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/export.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: export.py 13983 2016-06-23 11:26:26Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/interfaces.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/interfaces.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/interfaces.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: interfaces.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/payment.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/payment.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/payment.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: payment.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/tests/test_applicant.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/tests/test_applicant.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/tests/test_applicant.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: test_applicant.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/tests/test_browser.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/tests/test_browser.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/tests/test_browser.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: test_browser.py 14276 2016-11-15 09:53:58Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2013 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/utils.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/utils.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/utils.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: utils.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/browser/pages.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/browser/pages.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/browser/pages.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: pages.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/browser/pdf.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/browser/pdf.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/browser/pdf.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: pdf.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/browser/tests.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/browser/tests.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/browser/tests.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: tests.py 13629 2016-01-17 08:47:11Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/configuration.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/configuration.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/configuration.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: configuration.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/etranzact/browser.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/etranzact/browser.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/etranzact/browser.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: browser.py 15601 2019-09-20 15:42:16Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2017 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interfaces.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interfaces.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interfaces.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: interfaces.py 14457 2017-01-25 09:55:44Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interswitch/browser.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interswitch/browser.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interswitch/browser.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: browser.py 15269 2018-12-17 16:55:38Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interswitch/tests.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interswitch/tests.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interswitch/tests.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: tests.py 14874 2017-10-24 08:25:36Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/payments/interfaces.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/payments/interfaces.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/payments/interfaces.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: interfaces.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/permissions.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/permissions.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/permissions.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: permissions.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/remita/browser.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/remita/browser.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/remita/browser.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: browser.py 14993 2018-04-26 11:58:27Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2017 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/remita/webservices.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/remita/webservices.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/remita/webservices.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: webservices.py 15274 2018-12-19 11:46:12Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2017 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/batching.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/batching.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/batching.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: batching.py 14818 2017-08-23 16:35:14Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/browser.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/browser.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/browser.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: browser.py 13062 2015-06-16 13:49:58Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/export.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/export.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/export.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: export.py 12878 2015-04-23 21:13:29Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/interfaces.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/interfaces.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/interfaces.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: interfaces.py 13740 2016-02-26 08:23:36Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/payments.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/payments.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/payments.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: payments.py 13629 2016-01-17 08:47:11Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/student.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/student.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/student.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: student.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/studycourse.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/studycourse.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/studycourse.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: studycourse.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/studylevel.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/studylevel.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/studylevel.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: studylevel.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/tests/test_browser.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/tests/test_browser.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/tests/test_browser.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: test_browser.py 13629 2016-01-17 08:47:11Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/tests/test_student.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/tests/test_student.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/tests/test_student.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: test_student.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/utils.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/utils.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/utils.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: utils.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/viewlets.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/viewlets.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/students/viewlets.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: viewlets.py 13062 2015-06-16 13:49:58Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/testing.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/testing.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/testing.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: testing.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/tests/test_configuration.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/tests/test_configuration.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/tests/test_configuration.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: test_configuration.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/tests/test_datacenter.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/tests/test_datacenter.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/tests/test_datacenter.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: test_datacenter.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/tests/test_smtp.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/tests/test_smtp.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/tests/test_smtp.py	(revision 16639)
@@ -1,4 +1,4 @@
 # -*- coding: utf-8 -*-
-## $Id: test_smtp.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/utils/tests.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/utils/tests.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/utils/tests.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: tests.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/utils/utils.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/utils/utils.py	(revision 16638)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/utils/utils.py	(revision 16639)
@@ -1,3 +1,3 @@
-## $Id: utils.py 10765 2013-11-19 12:57:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann