Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interfaces.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interfaces.py	(revision 16697)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interfaces.py	(revision 16698)
@@ -68,6 +68,11 @@
 
     interswitch_enabled = schema.Bool(
-        title = _(u'Interswitch integration enabled'),
-        default = False,
+        title = _(u'Interswitch Collegepay integration enabled'),
+        default = True,
+        )
+
+    interswitch_paydirect_enabled = schema.Bool(
+        title = _(u'Interswitch Paydirect integration enabled'),
+        default = True,
         )
 
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interswitch/browser.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interswitch/browser.py	(revision 16697)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interswitch/browser.py	(revision 16698)
@@ -93,5 +93,5 @@
         xmldict['institution_bank_id'] = '00'
         provider_amt = 0.0
-        self.pay_item_id = '0000' # must be provided by Interswitch
+        self.pay_item_id = 'Default_Payable_MX26002' # must be provided by Interswitch
         xmldict['provider_amt'] = 100 * provider_amt
         xmldict['institution_item_name'] = self.context.category
@@ -242,2 +242,46 @@
     gateway_url = URL
     mac = MAC
+
+# PAYDirect
+
+from kofacustom.nigeria.interswitch.paydirectbrowser import (
+    PAYDirectPageStudent, PAYDirectPageApplicant,
+    StudentRefNumberSlip, ApplicantRefNumberSlip,
+    )
+
+from kofacustom.nigeria.interswitch.tests import (
+    PAYDIRECT_URL, PAYDIRECT_HOST, MERCHANT_ID)
+
+#PAYDIRECT_HOST = 'orion.interswitchng.com'
+#PAYDIRECT_URL = '/bookonhold/bookonhold.asmx'
+#MERCHANT_ID = '0000'
+
+class CustomPAYDirectPageStudent(PAYDirectPageStudent):
+    """Inform student how to proceed
+    """
+    grok.context(ICustomStudentOnlinePayment)
+    gateway_amt = GATEWAY_AMT
+    merchant_id = MERCHANT_ID
+    gateway_url = PAYDIRECT_URL
+    gateway_host = PAYDIRECT_HOST
+    https = True
+
+class CustomPAYDirectPageApplicant(PAYDirectPageApplicant):
+    """ Inform applicant how to proceed.
+    """
+    grok.context(ICustomApplicantOnlinePayment)
+    gateway_amt = GATEWAY_AMT
+    merchant_id = MERCHANT_ID
+    gateway_url = PAYDIRECT_URL
+    gateway_host = PAYDIRECT_HOST
+    https = True
+
+class CustomStudentRefNumberSlip(StudentRefNumberSlip):
+    """Deliver a PDF slip of the context.
+    """
+    merchant_id = MERCHANT_ID
+
+class CustomApplicantRefNumberSlip(ApplicantRefNumberSlip):
+    """Deliver a PDF slip of the context.
+    """
+    merchant_id = MERCHANT_ID
Index: /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interswitch/tests.py
===================================================================
--- /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interswitch/tests.py	(revision 16697)
+++ /main/kofacustom.edocons/trunk/src/kofacustom/edocons/interswitch/tests.py	(revision 16698)
@@ -72,6 +72,6 @@
             '<span>40000.0</span>' in self.browser.contents)
         self.payment_url = self.browser.url
-        self.browser.getLink("Pay via Interswitch", index=0).click()
-        self.assertTrue('<input type="hidden" name="pay_item_id" value="0000" />' in
+        self.browser.getLink("Pay via Interswitch CollegePAY", index=0).click()
+        self.assertMatches('...<input type="hidden" name="pay_item_id" value="Default_Payable_MX26002" />...',
                            self.browser.contents)
         self.assertEqual(self.student.current_mode, 'ug_ft')
@@ -93,6 +93,6 @@
         self.student['payments']['xyz'] = acc_payment
         self.browser.open(self.payments_path + '/xyz')
-        self.browser.getLink("Pay via Interswitch", index=0).click()
-        self.assertMatches('...<input type="hidden" name="pay_item_id" value="0000" />...',
+        self.browser.getLink("Pay via Interswitch CollegePAY", index=0).click()
+        self.assertMatches('...<input type="hidden" name="pay_item_id" value="Default_Payable_MX26002" />...',
                            self.browser.contents)
         self.assertMatches('...Total Amount Authorized:...',