Index: main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/applicant.py
===================================================================
--- main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/applicant.py	(revision 16720)
+++ main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/applicant.py	(revision 16721)
@@ -22,5 +22,5 @@
 from waeup.kofa.utils.helpers import attrs_to_fields
 from kofacustom.nigeria.applicants.applicant import NigeriaApplicant
-from kofacustom.skeleton.applicants.interfaces import(
+from kofacustom.unidel.applicants.interfaces import(
     ICustomApplicant, ICustomUGApplicantEdit, ICustomPGApplicantEdit, IPUTMEApplicantEdit)
 
Index: main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/batching.py
===================================================================
--- main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/batching.py	(revision 16720)
+++ main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/batching.py	(revision 16721)
@@ -20,5 +20,5 @@
 from kofacustom.nigeria.applicants.batching import NigeriaApplicantProcessor
 from waeup.kofa.applicants.batching import ApplicantOnlinePaymentProcessor
-from kofacustom.skeleton.applicants.interfaces import (
+from kofacustom.unidel.applicants.interfaces import (
     ICustomApplicant,
     ICustomApplicantUpdateByRegNo,
Index: main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/browser.py
===================================================================
--- main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/browser.py	(revision 16720)
+++ main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/browser.py	(revision 16721)
@@ -40,5 +40,5 @@
     PG_OMIT_EDIT_FIELDS,
     )
-from kofacustom.skeleton.applicants.interfaces import (
+from kofacustom.unidel.applicants.interfaces import (
     ICustomPGApplicant, ICustomUGApplicant, ICustomApplicant,
     ICustomPGApplicantEdit, ICustomUGApplicantEdit,
@@ -46,5 +46,5 @@
     )
 
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.unidel.interfaces import MessageFactory as _
 
 class CustomApplicantEditFormPage(NigeriaApplicantEditFormPage):
Index: main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/export.py
===================================================================
--- main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/export.py	(revision 16720)
+++ main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/export.py	(revision 16721)
@@ -24,5 +24,5 @@
 from kofacustom.nigeria.applicants.interfaces import (
     INigeriaUGApplicant, INigeriaPGApplicant)
-from kofacustom.skeleton.applicants.interfaces import (
+from kofacustom.unidel.applicants.interfaces import (
     ICustomUGApplicant, ICustomPGApplicant)
 
Index: main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/interfaces.py
===================================================================
--- main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/interfaces.py	(revision 16720)
+++ main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/interfaces.py	(revision 16721)
@@ -37,6 +37,6 @@
     IPUTMEApplicantEdit,
     )
-from kofacustom.skeleton.interfaces import MessageFactory as _
-from kofacustom.skeleton.payments.interfaces import ICustomOnlinePayment
+from kofacustom.unidel.interfaces import MessageFactory as _
+from kofacustom.unidel.payments.interfaces import ICustomOnlinePayment
 
 class ICustomUGApplicant(INigeriaUGApplicant):
Index: main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/payment.py
===================================================================
--- main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/payment.py	(revision 16720)
+++ main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/payment.py	(revision 16721)
@@ -24,5 +24,5 @@
 from waeup.kofa.applicants.payment import ApplicantOnlinePayment
 from waeup.kofa.utils.helpers import attrs_to_fields
-from kofacustom.skeleton.applicants.interfaces import ICustomApplicantOnlinePayment
+from kofacustom.unidel.applicants.interfaces import ICustomApplicantOnlinePayment
 
 class CustomApplicantOnlinePayment(ApplicantOnlinePayment):
Index: main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/tests/test_applicant.py
===================================================================
--- main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/tests/test_applicant.py	(revision 16720)
+++ main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/tests/test_applicant.py	(revision 16721)
@@ -30,9 +30,9 @@
 from waeup.kofa.interfaces import IFileStoreHandler, IFileStoreNameChooser
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.applicants.applicant import (
+from kofacustom.unidel.applicants.applicant import (
     CustomApplicant, CustomApplicantFactory,
     )
-from kofacustom.skeleton.applicants.interfaces import ICustomApplicant
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.unidel.applicants.interfaces import ICustomApplicant
+from kofacustom.unidel.testing import FunctionalLayer
 
 class CustomApplicantTest(FunctionalTestCase):
Index: main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/tests/test_browser.py	(revision 16720)
+++ main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/tests/test_browser.py	(revision 16721)
@@ -25,10 +25,10 @@
 from zope.intid.interfaces import IIntIds
 from hurry.workflow.interfaces import IWorkflowState
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.unidel.testing import FunctionalLayer
 from waeup.kofa.browser.tests.test_pdf import samples_dir
 from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
 from waeup.kofa.applicants.tests.test_batching import ApplicantImportExportSetup
-from kofacustom.skeleton.applicants.export import CustomApplicantExporter
-from kofacustom.skeleton.applicants.batching import CustomApplicantProcessor
+from kofacustom.unidel.applicants.export import CustomApplicantExporter
+from kofacustom.unidel.applicants.batching import CustomApplicantProcessor
 
 class CustomApplicantUITests(ApplicantsFullSetup):
Index: main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/utils.py
===================================================================
--- main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/utils.py	(revision 16720)
+++ main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/utils.py	(revision 16721)
@@ -22,5 +22,5 @@
 from waeup.kofa.applicants.workflow import (INITIALIZED,
     STARTED, PAID, ADMITTED, NOT_ADMITTED, SUBMITTED, CREATED)
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.unidel.interfaces import MessageFactory as _
 
 