Index: main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py	(revision 16708)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py	(revision 16749)
@@ -212,4 +212,10 @@
         )
 
+    ent_text_book_2_fee = schema.Float(
+        title = _(u'Text Book Fee ENT211'),
+        default = 0.0,
+        required = True,
+        )
+
     gst_registration_1_fee = schema.Float(
         title = _(u'Registration Fee GST101 GST102 GST111 GST112'),
@@ -226,4 +232,10 @@
     ent_registration_1_fee = schema.Float(
         title = _(u'Registration Fee ENT201'),
+        default = 0.0,
+        required = True,
+        )
+
+    ent_registration_2_fee = schema.Float(
+        title = _(u'Registration Fee ENT211'),
         default = 0.0,
         required = True,
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/studylevel.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/studylevel.py	(revision 16708)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/studylevel.py	(revision 16749)
@@ -295,7 +295,7 @@
                 not 'gst_registration_2' in paid_cats:
                 return False
-            #if course.code in ('ENT201',) and \
-            #    not 'ent_registration_1' in paid_cats:
-            #    return False
+            if course.code in ('ENT211',) and \
+                not 'ent_registration_2' in paid_cats:
+                return False
             if course.code in ('GST101', 'GST102') and \
                 not 'gst_text_book_1' in paid_cats and \
@@ -309,7 +309,7 @@
                 not 'gst_text_book_3' in paid_cats:
                 return False
-            #if course.code in ('ENT201',) and \
-            #    not 'ent_text_book_1' in paid_cats:
-            #    return False
+            if course.code in ('ENT211',) and \
+                not 'ent_text_book_2' in paid_cats:
+                return False
             return True
         return False
Index: main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py	(revision 16708)
+++ main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py	(revision 16749)
@@ -63,7 +63,9 @@
         'gst_text_book_3': 'Text Book Fee GST222',
         'ent_text_book_1': 'Text Book Fee ENT201',
+        'ent_text_book_2': 'Text Book Fee ENT211',
         'gst_registration_1': 'Registration Fee GST101 GST102 GST111 GST112',
         'gst_registration_2': 'Registration Fee GST222',
         'ent_registration_1': 'Registration Fee ENT201',
+        'ent_registration_2': 'Registration Fee ENT211',
         'fac_dep': 'Faculty and Departmental Dues (incl. ICT/Affidavit Dues)',
         'ict': 'ICT/Affidavit Dues',
@@ -103,7 +105,9 @@
         'gst_text_book_3': 'Text Book Fee GST222',
         'ent_text_book_1': 'Text Book Fee ENT201',
+        'ent_text_book_2': 'Text Book Fee ENT211',
         'gst_registration_1': 'Registration Fee GST101 GST102 GST111 GST112',
         'gst_registration_2': 'Registration Fee GST222',
         'ent_registration_1': 'Registration Fee ENT201',
+        'ent_registration_2': 'Registration Fee ENT211',
         #'fac_dep': 'Faculty and Departmental Dues (incl. ICT/Affidavit Dues)',
         'ict': 'ICT/Affidavit Dues',
@@ -149,4 +153,6 @@
         'ent_registration_1': 'Registration Fee ENT201',
         'ent_text_book_1': 'Text Book Fee ENT201',
+        'ent_registration_2': 'Registration Fee ENT211',
+        'ent_text_book_2': 'Text Book Fee ENT211',
         'gst_registration_1': 'Registration Fee GST101 GST102 GST111 GST112',
         'gst_registration_2': 'Registration Fee GST222',
@@ -201,7 +207,9 @@
         'gst_text_book_3': 'Text Book Fee GST222',
         'ent_text_book_1': 'Text Book Fee ENT201',
+        'ent_text_book_2': 'Text Book Fee ENT211',
         'gst_registration_1': 'Registration Fee GST101 GST102 GST111 GST112',
         'gst_registration_2': 'Registration Fee GST222',
         'ent_registration_1': 'Registration Fee ENT201',
+        'ent_registration_2': 'Registration Fee ENT211',
         #'fac_dep': 'Faculty and Departmental Dues (incl. ICT/Affidavit Dues)',
         'ict': 'ICT/Affidavit Dues',