Index: main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py	(revision 16753)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py	(revision 16754)
@@ -206,4 +206,10 @@
         )
 
+    ent_text_book_0_fee = schema.Float(
+        title = _(u'Text Book Fee ENT201, ENT211'),
+        default = 0.0,
+        required = True,
+        )
+
     ent_text_book_1_fee = schema.Float(
         title = _(u'Text Book Fee ENT201'),
@@ -226,4 +232,10 @@
     gst_registration_2_fee = schema.Float(
         title = _(u'Registration Fee GST222'),
+        default = 0.0,
+        required = True,
+        )
+
+    ent_registration_0_fee = schema.Float(
+        title = _(u'Registration Fee ENT201, ENT211'),
         default = 0.0,
         required = True,
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/studylevel.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/studylevel.py	(revision 16753)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/studylevel.py	(revision 16754)
@@ -295,7 +295,4 @@
                 not 'gst_registration_2' in paid_cats:
                 return False
-            if course.code in ('ENT211',) and \
-                not 'ent_registration_2' in paid_cats:
-                return False
             if course.code in ('GST101', 'GST102') and \
                 not 'gst_text_book_1' in paid_cats and \
@@ -309,6 +306,19 @@
                 not 'gst_text_book_3' in paid_cats:
                 return False
+            if course.code in ('ENT201',) and \
+                not 'ent_registration_1' in paid_cats and \
+                not 'ent_registration_0' in paid_cats:
+                return False
             if course.code in ('ENT211',) and \
-                not 'ent_text_book_2' in paid_cats:
+                not 'ent_registration_2' in paid_cats and \
+                not 'ent_registration_0' in paid_cats:
+                return False
+            if course.code in ('ENT201',) and \
+                not 'ent_text_book_1' in paid_cats and \
+                not 'ent_text_book_0' in paid_cats:
+                return False
+            if course.code in ('ENT211',) and \
+                not 'ent_text_book_2' in paid_cats and \
+                not 'ent_text_book_0' in paid_cats:
                 return False
             return True
Index: main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py	(revision 16753)
+++ main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py	(revision 16754)
@@ -62,10 +62,12 @@
         'gst_text_book_2': 'Text Book Fee GST111 GST112',
         'gst_text_book_3': 'Text Book Fee GST222',
+        'gst_registration_1': 'Registration Fee GST101 GST102 GST111 GST112',
+        'gst_registration_2': 'Registration Fee GST222',
         'ent_text_book_1': 'Text Book Fee ENT201',
         'ent_text_book_2': 'Text Book Fee ENT211',
-        'gst_registration_1': 'Registration Fee GST101 GST102 GST111 GST112',
-        'gst_registration_2': 'Registration Fee GST222',
+        'ent_text_book_0': 'Text Book Fee for ENT201 and ENT211',
         'ent_registration_1': 'Registration Fee ENT201',
         'ent_registration_2': 'Registration Fee ENT211',
+        'ent_registration_0': 'Registration Fee for ENT201 and ENT211',
         'fac_dep': 'Faculty and Departmental Dues (incl. ICT/Affidavit Dues)',
         'ict': 'ICT/Affidavit Dues',
@@ -104,10 +106,12 @@
         'gst_text_book_2': 'Text Book Fee GST111 GST112',
         'gst_text_book_3': 'Text Book Fee GST222',
+        'gst_registration_1': 'Registration Fee GST101 GST102 GST111 GST112',
+        'gst_registration_2': 'Registration Fee GST222',
         'ent_text_book_1': 'Text Book Fee ENT201',
         'ent_text_book_2': 'Text Book Fee ENT211',
-        'gst_registration_1': 'Registration Fee GST101 GST102 GST111 GST112',
-        'gst_registration_2': 'Registration Fee GST222',
+        'ent_text_book_0': 'Text Book Fee for ENT201 and ENT211',
         'ent_registration_1': 'Registration Fee ENT201',
         'ent_registration_2': 'Registration Fee ENT211',
+        'ent_registration_0': 'Registration Fee for ENT201 and ENT211',
         #'fac_dep': 'Faculty and Departmental Dues (incl. ICT/Affidavit Dues)',
         'ict': 'ICT/Affidavit Dues',
@@ -151,8 +155,10 @@
         'clearance_incl': 'Acceptance Fee Plus',
         'schoolfee_incl': 'School Fee Plus',
+        'ent_text_book_1': 'Text Book Fee ENT201',
+        'ent_text_book_2': 'Text Book Fee ENT211',
+        'ent_text_book_0': 'Text Book Fee for ENT201 and ENT211',
         'ent_registration_1': 'Registration Fee ENT201',
-        'ent_text_book_1': 'Text Book Fee ENT201',
         'ent_registration_2': 'Registration Fee ENT211',
-        'ent_text_book_2': 'Text Book Fee ENT211',
+        'ent_registration_0': 'Registration Fee for ENT201 and ENT211',
         'gst_registration_1': 'Registration Fee GST101 GST102 GST111 GST112',
         'gst_registration_2': 'Registration Fee GST222',
@@ -206,10 +212,12 @@
         'gst_text_book_2': 'Text Book Fee GST111 GST112',
         'gst_text_book_3': 'Text Book Fee GST222',
+        'gst_registration_1': 'Registration Fee GST101 GST102 GST111 GST112',
+        'gst_registration_2': 'Registration Fee GST222',
         'ent_text_book_1': 'Text Book Fee ENT201',
         'ent_text_book_2': 'Text Book Fee ENT211',
-        'gst_registration_1': 'Registration Fee GST101 GST102 GST111 GST112',
-        'gst_registration_2': 'Registration Fee GST222',
+        'ent_text_book_0': 'Text Book Fee for ENT201 and ENT211',
         'ent_registration_1': 'Registration Fee ENT201',
         'ent_registration_2': 'Registration Fee ENT211',
+        'ent_registration_0': 'Registration Fee for ENT201 and ENT211',
         #'fac_dep': 'Faculty and Departmental Dues (incl. ICT/Affidavit Dues)',
         'ict': 'ICT/Affidavit Dues',