Index: main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py	(revision 16744)
+++ main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py	(revision 16759)
@@ -838,4 +838,6 @@
     """A display page for checking transcript processing status.
     """
+    grok.template('checktranscriptstatus')
+
     websites = (('Uniben Alumni Portal', 'https://alumni.uniben.edu/'),
                 ('Uniben Student Portal', 'https://waeup.uniben.edu/'),)
Index: main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser_templates/checktranscriptstatus.pt
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser_templates/checktranscriptstatus.pt	(revision 16759)
+++ main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser_templates/checktranscriptstatus.pt	(revision 16759)
@@ -0,0 +1,135 @@
+<br />
+<ol>
+<li> Visit https://alumni.uniben.edu</li>
+<li>  Click on 'Request for Transcript'.
+Applicants are advised to have a valid email account before starting the application process (not the cybercafe’s email).</li>
+<li> Read the instruction on the page.</li>
+<li> Provide all necessary information. Note that * means compulsory fields.
+An immediate mail will be sent to the provided email address.
+</li>
+<li>
+Open your email to get your system-generated ID and Password that you will use to LOG IN.
+</li>
+<li> On https://alumni.uniben.edu click on 'Login' (top right of the page).
+</li>
+<li> Enter your user name and the password from the mail to login.
+</li>
+<li>
+To start the application process proper, Click on <b> 'Edit application record' </b> , Provide all required information and upload your passport photograph. (Upload a clear 1" x 1" COLOURED passport photograph with red background in JPEG format only)
+</li>
+<li> Upload Eligibility Form and Statement of Result in either JPG or PDF files only. Max. file size: 250 KB.
+</li>
+<li> To pay for the Application, click on "Add online payment ticket" at the bottom of the page, then click on "Pay with Remita" on the top left corner of the page, follow the instruction to pay the Transcript fee (see below) with an ATM-Enabled Visa or Master Card from any commercial Bank.
+</li>
+<li> Preview and confirm information provided before submitting your application online.
+</li>
+</ol>
+<p>PLEASE NOTE</p>
+<p>You cannot edit your application after submission. Note that processing of the transcript request will not start until you submit since it is assumed that you are still making changes</p>
+<p>AMOUNT TO BE PAID IS DETERMINED by the following factors:</p>
+<ul>
+<li>Destination: within Nigeria; within Africa; outside Africa</li>
+<li>Type of Order:
+Original: not requested transcript before or original required regardless
+<br/>
+Certified True Copy: only if transcript has been requested in the past
+<br/>
+Postgraduate transcripts can only be of type original.
+</li>
+</ul>
+<p>Include the email address of recipient body to ensure that the electronic copy can be sent to precede the physical copy that is posted via courier.</p>
+<p>When payment is successful in your account but does not reflect on the application, go ahead and reuery: Open the payment ticket, click on <b>'Requery Remita Payement Status'</b>.</p>
+
+<h3>Check tanscript status</h3>
+
+<p i18n:domain="waeup.uniben" tal:condition="not:view/button"
+   i18n:translate="checktranscript">
+  You don't have a previous Kofa record and you are a first time applicant for transcript? Click
+  <a i18n:name="no_result_appl_url" tal:attributes="href view/appl_url1">here</a>
+  to proceed. <br />
+  You don't know or you have already requested for transcript?
+  You can check your transcript status by submitting the form below.
+  Depending on the existence and status of your student record in Kofa you
+  will be redirected to the appropriate application form.
+</p>
+
+<form method="post" enctype="multipart/form-data"
+    tal:condition="not:view/button" i18n:domain="waeup.uniben">
+  <table class="form-table">
+    <tr>
+      <td i18n:translate="" class="fieldname">
+        Student Id, Registration Number or <br />Matric Number:
+      </td>
+      <td>
+        <input class="textType half" type="text" name="unique_id" />
+      </td>
+    </tr>
+    <tr>
+      <td i18n:translate="" class="fieldname">
+        Email Address:
+      </td>
+      <td>
+        <input class="textType half" type="text" name="email" />
+      </td>
+    </tr>
+  </table>
+  <div tal:content="structure view/captcha_code"></div>
+  <br />
+  <input class="btn btn-primary" type="submit" name="SUBMIT"
+      tal:attributes="value view/buttonname" />
+</form>
+
+<div tal:condition="view/button" i18n:domain="waeup.uniben">
+  <br />
+  <tal:noresults condition="not: view/results">
+    <br />
+    <p i18n:translate="check_transcript_1">
+      No student record was found in Kofa. Your record has to be created.
+      You can apply for your transcript
+      <a  i18n:name="no_result_appl_url" tal:attributes="href view/appl_url1">here
+      </a>.
+    </p>
+  </tal:noresults>
+
+  <tal:results condition="view/results">
+    <br />
+    <p i18n:translate="check_transcript_2"
+       tal:condition="python:not view.results[0][0][2]">
+      Your record was found on the
+      <a i18n:name="portal_url"
+         tal:attributes="href python:view.results[0][1][1]">
+        <span tal:replace="python:view.results[0][1][0]">PORTAL</span>
+      </a>.
+      <br />
+      Login with your Student id and password
+      <a i18n:name="login_url"
+         tal:attributes="href python:view.results[0][1][1] + 'login'">
+        here
+      </a>
+      to check your student record status.
+      <tal:withemail tal:condition="python:view.results[0][0][0]">
+         Forgotten your password? Your email address matches the email
+         address stored in Kofa. Request a new password 
+        <a i18n:name="changepw_url"
+           tal:attributes="href python:view.results[0][1][1] + 'changepw'">
+          here
+        </a>.
+      </tal:withemail>
+    </p>
+    <p i18n:translate="check_transcript_3"
+       tal:condition="python:not view.results[0][0][2]">
+      If you have not yet applied for your transcript, you can apply 
+      <a  i18n:name="result_appl_url" tal:attributes="href view/appl_url2">here
+      </a>.
+    </p>
+    <p i18n:translate="check_transcript_4"
+       tal:condition="python:view.results[0][0][2]">
+      Your student record exists and your transcript has already
+      been released and sent to the address provided.
+      If you want your transcript to be resent, maybe to another destination,
+      you can proceed and directly apply for transcript delivery
+      <a  i18n:name="result_appl_url" tal:attributes="href view/appl_url2">here
+      </a> again.
+    </p>
+  </tal:results>
+</div>